Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class AddToShoppingCartListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.csw.control.SimpleSearchListener
              org.deegree.portal.standard.csw.control.AddToShoppingCartListener

All Implemented Interfaces:
  EventListener, WebListener

Direct Known Subclasses:
  DeleteFromShoppingCartListener, DisplayMapListener

Deprecated. Shopping cart will not be supported at the moment. update: new changes in deegree1_fork will not be carried here, since this class is still not used. Remove when this status changes

    @Deprecated
    public class AddToShoppingCartListener

extends SimpleSearchListener

A `${type_name}` class.
TODO class description

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary
`(package private) static String` | `RPC_TITLE` Deprecated.

Fields inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`config, HTML_FRAGMENT, nsContext, RESULT_SEARCH, RPC_CATALOG, RPC_FORMAT, SESSION_AVAILABLESERVICECATALOGS, SESSION_DATARECORDS, SESSION_REQUESTFORRESULTS, SESSION_RESULTFORHITS`

Constructor Summary
`AddToShoppingCartListener()` Deprecated.

Method Summary
`void` | `actionPerformed(FormEvent event)` Deprecated.
`protected DataSessionRecord` | `getDataSessionRecordFromList(List dataSessionRecList, String dataId, String dataCatalog, String dataTitle)` Deprecated.
`protected void` | `validateRequest(RPCWebEvent rpcEvent)` Deprecated. Validates the rpc request and makes sure that all the needed parameters are included

Methods inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`createDataSessionRecords, createRequest, createRpcStructForServiceSearch, doServiceSearch, extractMetadata, extractRPCCatalogs, extractRPCMember, extractRPCParameters, extractRPCStruct, extractValue, getMetadataType, getXPathToId, getXPathToTitle, handleResult, isKnownMetadataType, performRequest`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RPC_TITLE

    static final String RPC_TITLE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### AddToShoppingCartListener

    public AddToShoppingCartListener()

  Deprecated.

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Deprecated.
  Specified by:
    `actionPerformed` in interface `WebListener`
  Overrides:
    `actionPerformed` in class `SimpleSearchListener`

### validateRequest

    protected void validateRequest(RPCWebEvent rpcEvent)
                            throws CatalogClientException

  Deprecated.
  Description copied from class: `SimpleSearchListener`
  Validates the rpc request and makes sure that all the needed parameters are included

  Overrides:
    `validateRequest` in class `SimpleSearchListener`
  Throws:
    `CatalogClientException`

### getDataSessionRecordFromList

    protected DataSessionRecord getDataSessionRecordFromList(List dataSessionRecList,
                                                             String dataId,
                                                             String dataCatalog,
                                                             String dataTitle)

  Deprecated.
  Parameters:
    `dataSessionRecList` - The List containing the DataSessionRecord to return.
    `dataId` - One of three parameters to identify the DataSessionRecord.
    `dataCatalog` - One of three parameters to identify the DataSessionRecord.
    `dataTitle` - One of three parameters to identify the DataSessionRecord.
  Returns:
    Returns the DataSessionRecord from the passed List, that matches the passed data parameters OR null, if no match was found in the passed List.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org